import request from '@/utils/request'

// 查询关于我们核心价值列表
export function listAboutUsHxinfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询关于我们核心价值详细
export function getAboutUsHxinfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增关于我们核心价值
export function addAboutUsHxinfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'add',
      aboutUsHxinfo: data
    }
  })
}

// 修改关于我们核心价值
export function updateAboutUsHxinfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'update',
      aboutUsHxinfo: data
    }
  })
}

// 删除关于我们核心价值
export function delAboutUsHxinfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出关于我们核心价值
export function exportAboutUsHxinfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsHxinfo',
      _mt: 'export',
      ...query
    }
  })
}
